body {
  color: var(--text-color);
}

.banner {
  display: flex;
  flex-direction: column;
  padding: 10vh 15vw;
  min-height: 95vh;
  box-sizing: border-box;

  background-image: linear-gradient(#001a3b69 60%, #ffffff20),
    url("https://www.brandtbil.se/wp-content/uploads/bil-pa-vag-genom-skog.jpg.webp");
  background-size: cover;
  background-position: center;
  color: var(--alt-text-color);
}

.banner-title-container {
  margin-top: auto;
}
.banner-title-container > h1 {
  font-size: var(--banner-title-fontsize);
  margin-bottom: 0.25em;
}
.banner-title-container > p {
  max-width: 70%;
  font-size: var(--banner-text-fontsize);
  font-weight: 300;
}
.banner-title-container > p:not(:last-of-type) {
  margin-bottom: 0.5em;
}

.buttons-container {
  margin-top: auto;
  margin-left: auto;
  margin-bottom: auto;
  display: flex;
  gap: 2em;
}

.banner .buttons-container .anchor-button:has(img) {
  display: flex;
  vertical-align: middle;
  align-items: center;
  gap: 0.25em;
}
.banner .buttons-container .anchor-button img {
  height: max(1.15em, 24px);
}

@media only screen and (max-width: 600px) {
  .banner {
    padding: 10vh 5vw;
  }
  .banner-title-container {
    margin-top: unset;
    margin-bottom: 2rem;
  }
  .banner-title-container > h1 {
    font-size: 2.5rem;
    text-align: center;
    margin-bottom: 0.25em;
  }
  .banner-title-container > p {
    max-width: 100%;
    /* text-align: center; */
    font-size: 1.15rem;
  }

  .buttons-container {
    margin-top: auto;
    margin-left: unset;
    margin-right: unset;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1em;
  }
  .buttons-container .anchor-button {
    width: 100%;
    box-sizing: border-box;
    max-width: unset;
  }
  .banner .buttons-container .anchor-button img {
    margin-left: auto;
  }
}
